/*global $,owl,smoothScroll,AOS*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });


    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });


    /* ---------------------------------------------
     Sliders
    --------------------------------------------- */
    // For Customer Slider
    var sync1 = $("#sync1");
    var sync2 = $("#sync2");

    sync1.owlCarousel({
        transitionStyle: "fadeUp",
        singleItem: true,
        items: 1,
        slideSpeed: 1000,
        navigation: false,
        pagination: false,
        autoPlay: 5000,
        afterAction: syncPosition,
        responsiveRefreshRate: 200
    });

    sync2.owlCarousel({
        items: 4,
        itemsCustom: [
			[0, 1],
			[450, 2],
			[600, 2],
			[700, 3],
			[1000, 3],
			[1200, 4],
			[1400, 4],
			[1600, 4],
            [1800, 4]
        ],
        pagination: false,
        navigation: false,
        responsiveRefreshRate: 100
    });

    function syncPosition(el) {
        var current = this.currentItem;
        $("#sync2")
            .find(".owl-item")
            .removeClass("synced")
            .eq(current)
            .addClass("synced")
        if ($("#sync2").data("owlCarousel") !== undefined) {
            center(current)
        }

        var current1 = this.currentItem;
        $("#sync1")
            .find(".owl-item")
            .removeClass("active")
            .eq(current1)
            .addClass("active");
    }

    $("#sync2").on("click", ".owl-item", function (e) {
        e.preventDefault();
        var number = $(this).data("owlItem");
        sync1.trigger("owl.goTo", number);
    });

    function center(number) {
        var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
        var num = number;
        var found = false;
        for (var i in sync2visible) {
            if (num === sync2visible[i]) {
                var found = true;
            }
        }

        if (found === false) {
            if (num > sync2visible[sync2visible.length - 1]) {
                sync2.trigger("owl.goTo", num - sync2visible.length + 2)
            } else {
                if (num - 1 === -1) {
                    num = 0;
                }
                sync2.trigger("owl.goTo", num);
            }
        } else if (num === sync2visible[sync2visible.length - 1]) {
            sync2.trigger("owl.goTo", sync2visible[1])
        } else if (num === sync2visible[0]) {
            sync2.trigger("owl.goTo", num - 1)
        }

    }


    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 50
    });
    $(".pr-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 5000,
        items: 5,
        mouseDrag: true,
        pagination: false,
        itemsCustom: [
			[0, 1],
			[450, 2],
			[600, 3],
			[700, 3],
            [800, 4],
			[1000, 5],
			[1200, 5],
			[1400, 5],
			[1600, 5]
        ],
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true
    });

    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 300) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $('.open-sidebar').on('click', function () {
        $('.main-nav').slideToggle();
        $(this).toggleClass('active');
        $('.search').removeClass('active');
    });

    $('.overlay_gen,.side-nav a').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

    $('[data-fancybox]').fancybox({
        buttons: [
//    "zoom",
//    "share",
    "slideShow",
    "fullScreen",
//    "download",
    "thumbs",
    "close"
  ],
        protect: true
    });

    $('.op-search').on('click', function () {
        $('.search').toggleClass('active');
        $('.open-sidebar').removeClass('active');
    });

    //    $('body').on('click', function () {
    //        $('.search').removeClass('active');
    //    });

    $('.search, .op-search').on("click", function (e) {
        e.stopPropagation();
    });

    if ($('.select2').length) {
        $('.select2').select2();
    }

    if ($('.select-nosearch').length) {
        $('.select-nosearch').select2({
            minimumResultsForSearch: Infinity
        });
    }

});